%define name	bbkeys
%define version 0.8.4
%define release 1mdk

Summary:	Bbkeys, a configurable key-grabber for blackbox
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/Other
Source0:	%name-%version.tar.bz2
Source1:	%{name}-16x16.png.bz2
Source2:	%{name}-32x32.png.bz2
Source3:	%{name}-48x48.png.bz2
URL:		http://bbkeys.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	XFree86-devel

%description
Bbkeys is a configurable key-grabber designed for the blackbox window 
manager which is written by Brad Hughes.  
It is based on the bbtools object code created by John Kennis
and re-uses some of the blackbox window manager classesas well.  
Bbkeys is easily configurable via directly hand-editing ~/.bbkeysrc 
file, or by using the gui configuration tool bbconf.  

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
%configure
make

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_prefix

%makeinstall

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="x11" \
icon="%{name}.png" section="Configuration/Other" \
title="Bbkeys" longtitle="Bbkeys"
EOF
  
#icon
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
 
%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -n %{name}
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO COPYING INSTALL
%attr(755,root,root) 
%{_bindir}/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/bbtools/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Thu Jan 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Thu Nov 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-2mdk
- updated by Marcel Pol <mpol@gmx.net> 
	- added icons
	
* Tue Nov 06 2001 Marcel Pol <mpol@gmx.net> 0.8.3-1mdk
	- updated to 0.8.3
	- fixed menu (needs "x11")
	- bbkeysconf discontinued, see bbconf
	- exchanged Requires for BuildRequires	

* Tue May 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- bzip2 patch
- added post/un to bbkeysconf
- Added in contribs by Marcel Pol <mpol@gmx.net
	- Mandrake build of original 0.3.5.src.rpm
	- Added Requires
	- Added menu entries
	- Hmm, menu entries don't show up here, though they look ok to me
	- Bbkeysconf is actually version 1.3, but I wouldn't know how to deal with that

